package Übungen;

public class SchuelerKonto extends BankSystem {
    
    private String schulename;
    private int klasse;
    
    public SchuelerKonto(String name, String vorname, String password, String email, int alter, String schulename, int klasse) {
        super(name, vorname, password, email, alter);
        this.schulename = schulename;
        this.klasse = klasse;
    }

    @Override
    public void addGeld(double geld) {
        if (this.kontosstand < 500) {
            this.kontosstand += geld;
            speicher.add(geld);
            System.out.println("Einzahlung erfolgreich! Neuer Kontostand: " + this.kontosstand);
        } else {
            System.out.println("Du kannst keine neuen Einzahlungen vornehmen.");
        }
    }
    
    @Override
    public void ueberweisung(BankSystem empfaenger) {
        throw new UnsupportedOperationException("Überweisungen sind für Schülerkonten nicht erlaubt.");
    }
    
    @Override
    public void setAlter(int alter) {
        if (alter > 20) 
            System.out.println("Nein, du kannst nicht die Kundenart Schueler haben!");
        else
            this.alter = alter;
    }
    
    @Override
    public String toString() {
        return "SchuelerKonto [Schulename=" + schulename + ", Klasse=" + klasse + ", name=" + name + ", vorname="
                + vorname + ", password=" + password + ", email=" + email + ", kontosstand=" + kontosstand + ", alter="
                + alter + "]";
    }
    
    public String getSchulename() {
        return schulename;
    }
    
    public void setSchulename(String schulename) {
        this.schulename = schulename;
    }
    
    public int getKlasse() {
        return klasse;
    }
    
    public void setKlasse(int klasse) {
        this.klasse = klasse;
    }
}
